import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.applet.*;
import java.net.*;
import java.awt.geom.*; 
import javax.swing.*; 
import javax.swing.event.*;


/**
 * Clase tipo Applet que contiene el GUI del programa
 * @author Juan Pablo Carvallo B.
*/
public class Editor extends JApplet 
{
    
/**
 * Panel principal, en que se ubican los dems paneles
 */
private MainPanel principal = new MainPanel(this);
private boolean flotante;
private URL dir;

private final int wWidth = 700;
private final int wHeight  = 560;

/** 
 * Mtodo init() de la clase Applet. En el se manejan los tres parametros 
 * asociados al applet. Primero se investiga si se usa un marco o se incrusta
 * el applet en la pgina web.Despues se obtiene la URL que se desea mostrar.
 */
public void init() 
 {
 if (getParameter("Flotante").equals("true"))
 { JFrame marco = new JFrame();
   marco.setTitle("Figuras en Java");
   marco.setSize(wWidth, wHeight);
   marco.setContentPane(principal);
   if (marco.isVisible())
   { marco.setVisible(false); }
   else 
   { marco.show(); }
 }
   else
   { setContentPane(principal);
     setVisible(true); }
  
 try
 { 
   dir = new URL(getParameter("web"));
 }
 catch (MalformedURLException exception) 
         { 
            exception.printStackTrace(); 
         }
   }

/**
 * Es llamado desde MainPanel por el mtodo
 * actionPerformed asociado al botn Web. Permite
 * mostrar la pgina web en el marco configurado
 */
 public void doWeb()
 { AppletContext context = getAppletContext();
   context.showDocument(dir, getParameter("frame")); }
 
}
